%bcond_with docs

Name:           srain
Version:        1.8.1
Release:        %mkrel 1
Group:          Networking/IRC
Summary:        Modern, beautiful IRC client written in GTK+ 3

# The entire source code is GPLv3+ except:
# * keypair/        which is BSD
# * sui_side_bar/   which is GPLv2+
License:        GPLv3+ and BSD and GPLv2+
URL:            https://github.com/SrainApp/srain
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  typelib(AppStreamGlib)
BuildRequires:  meson
BuildRequires:  python3-sphinx
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ayatana-appindicator3-0.1)

Requires:       hicolor-icon-theme

%if %{with docs}
Recommends:     %{name}-doc
%endif
Recommends:     gnome-keyring

%description
%{summary}.


%package doc
Summary:        Documentation files for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.


%prep
%autosetup -p1


%build
%meson %{?with_docs:-Ddoc_builders=html,man}
%meson_build


%install
%meson_install
%find_lang %{name}


%files -f %{name}.lang
%doc README.rst
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%if %{with docs}
%{_mandir}/man1/*.1*
%endif
%{_metainfodir}/*.xml
%{_sysconfdir}/%{name}

%if %{with docs}
%files doc
%{_docdir}/%{name}/html/
%endif


%changelog
* Mon Jun 16 2025 ns80 <ns80> 1.8.1-1.mga10
+ Revision: 2192014
- new version 1.8.1

* Mon Apr 28 2025 ns80 <ns80> 1.8.1-0.git20241230.1.mga10
+ Revision: 2179555
- update to latest git snapshot to try to fix building with GCC 15

* Tue Nov 05 2024 ns80 <ns80> 1.8.0-1.mga10
+ Revision: 2112470
- do not build docs
- new version 1.8.0

* Mon Apr 29 2024 ns80 <ns80> 1.7.0-1.mga10
+ Revision: 2061599
- new version 1.7.0

* Wed Feb 14 2024 ns80 <ns80> 1.6.0-1.mga10
+ Revision: 2041143
- new version 1.6.0

* Mon Mar 27 2023 ns80 <ns80> 1.5.1-1.mga9
+ Revision: 1950441
- new version 1.5.1

* Mon Oct 03 2022 ns80 <ns80> 1.5.0-1.mga9
+ Revision: 1894383
- new version 1.5.0
+ wally <wally>
- add bcond for doc build and disable if for now

* Mon Aug 29 2022 ns80 <ns80> 1.4.1-2.mga9
+ Revision: 1881640
- bump rel
- remove patch mga-build-doc

* Mon Aug 29 2022 ns80 <ns80> 1.4.1-1.mga9
+ Revision: 1881638
- new version 1.4.1

* Mon May 09 2022 ns80 <ns80> 1.4.0-1.mga9
+ Revision: 1857083
- new version 1.4.0

* Wed Apr 20 2022 ns80 <ns80> 1.3.2-2.mga9
+ Revision: 1851994
- recommend gnome-keyring

* Sun Mar 27 2022 ns80 <ns80> 1.3.2-1.mga9
+ Revision: 1829169
- imported package srain

